Solid Edge Assembly Type Library
RefPlane Property
Description
Returns the AsmRefPlane object for the referenced Layout object.
Property type
Read-only property
Syntax
Visual Basic
Public Property RefPlane As AsmRefPlane
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFrameWork.Application
    Dim objDoc As SolidEdgeAssembly.AssemblyDocument
    Dim objLayouts As SolidEdgeAssembly.Layouts
    Dim objLayout As SolidEdgeAssembly.Layout
    Dim objLayoutPlane As SolidEdgeAssembly.AsmRefPlane
    ' Local variables to be declared here
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.AssemblyDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    On Error GoTo 0
    'Get the Layouts Collection
    Set objLayouts = objDoc.Layouts
    'Create a new Layout
    Set objLayout = objLayouts.Add(AsmRefPlane:=objDoc.RefPlanes(1))
    'Get the RefPlane object associated with Layout
    Set objLayoutPlane = objLayout.RefPlane
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objLayouts = Nothing
    Set objLayout = Nothing
    Set objLayoutPlane = Nothing
End Sub
See Also

Layout Object  | Layout Members